using System.Text;

namespace Common.Extensions;

public static class StringBuilderExtensions
{
  public static StringBuilder AppendHeading(this StringBuilder sb, int level, string text) => sb
    .Append(new string('#', level))
    .Append(' ')
    .AppendParagraph(text);

  public static StringBuilder AppendParagraph(this StringBuilder sb, string text) => sb
    .AppendLine(text)
    .AppendLine();
}